Normalize line endings

Fixes issue #75.
This commit is contained in:
Jørgen P. Tjernø 2013-07-05 12:09:04 -07:00
parent 96d1921694
commit 3527e2f9f1
22 changed files with 32086 additions and 32086 deletions

View file

@ -1,4 +1,4 @@
#!/bin/bash #!/bin/bash
devtools/bin/vpc /hl2 /episodic +everything /mksln everything devtools/bin/vpc /hl2 /episodic +everything /mksln everything

View file

@ -1,4 +1,4 @@
#!/bin/bash #!/bin/bash
devtools/bin/vpc /hl2 /episodic +game /mksln games devtools/bin/vpc /hl2 /episodic +game /mksln games

View file

@ -1,28 +1,28 @@
#!/bin/bash #!/bin/bash
OS=`uname` OS=`uname`
SCRIPTPATH=`dirname $0` SCRIPTPATH=`dirname $0`
FORCEARG="" FORCEARG=""
case $OS in case $OS in
"Darwin") "Darwin")
BINNAME=vpc_osx BINNAME=vpc_osx
;; ;;
"Linux") "Linux")
BINNAME=vpc_linux BINNAME=vpc_linux
;; ;;
*) *)
echo "Couldn't find appropriate VPC binary, fix the script." echo "Couldn't find appropriate VPC binary, fix the script."
exit -1 exit -1
;; ;;
esac esac
if [ $OS == "Darwin" ]; then if [ $OS == "Darwin" ]; then
$SCRIPTPATH/$BINNAME $@ $SCRIPTPATH/$BINNAME $@
elif [ $OS == "Linux" ]; then elif [ $OS == "Linux" ]; then
$SCRIPTPATH/$BINNAME $@ $SCRIPTPATH/$BINNAME $@
else else
echo "Couldn't find appropriate VPC binary, fix the script." echo "Couldn't find appropriate VPC binary, fix the script."
exit -1 exit -1
fi fi

View file

@ -1,41 +1,41 @@
#!/bin/sh #!/bin/sh
# Run this script to generate the configure script and other files that will # Run this script to generate the configure script and other files that will
# be included in the distribution. These files are not checked in because they # be included in the distribution. These files are not checked in because they
# are automatically generated. # are automatically generated.
set -e set -e
# Check that we're being run from the right directory. # Check that we're being run from the right directory.
if test ! -f src/google/protobuf/stubs/common.h; then if test ! -f src/google/protobuf/stubs/common.h; then
cat >&2 << __EOF__ cat >&2 << __EOF__
Could not find source code. Make sure you are running this script from the Could not find source code. Make sure you are running this script from the
root of the distribution tree. root of the distribution tree.
__EOF__ __EOF__
exit 1 exit 1
fi fi
# Check that gtest is present. Usually it is already there since the # Check that gtest is present. Usually it is already there since the
# directory is set up as an SVN external. # directory is set up as an SVN external.
if test ! -e gtest; then if test ! -e gtest; then
echo "Google Test not present. Fetching gtest-1.3.0 from the web..." echo "Google Test not present. Fetching gtest-1.3.0 from the web..."
curl http://googletest.googlecode.com/files/gtest-1.3.0.tar.bz2 | tar jx curl http://googletest.googlecode.com/files/gtest-1.3.0.tar.bz2 | tar jx
mv gtest-1.3.0 gtest mv gtest-1.3.0 gtest
fi fi
set -ex set -ex
# Temporary hack: Must change C runtime library to "multi-threaded DLL", # Temporary hack: Must change C runtime library to "multi-threaded DLL",
# otherwise it will be set to "multi-threaded static" when MSVC upgrades # otherwise it will be set to "multi-threaded static" when MSVC upgrades
# the project file to MSVC 2005/2008. vladl of Google Test says gtest will # the project file to MSVC 2005/2008. vladl of Google Test says gtest will
# probably change their default to match, then this will be unnecessary. # probably change their default to match, then this will be unnecessary.
# One of these mappings converts the debug configuration and the other # One of these mappings converts the debug configuration and the other
# converts the release configuration. I don't know which is which. # converts the release configuration. I don't know which is which.
sed -i -e 's/RuntimeLibrary="5"/RuntimeLibrary="3"/g; sed -i -e 's/RuntimeLibrary="5"/RuntimeLibrary="3"/g;
s/RuntimeLibrary="4"/RuntimeLibrary="2"/g;' gtest/msvc/*.vcproj s/RuntimeLibrary="4"/RuntimeLibrary="2"/g;' gtest/msvc/*.vcproj
# TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings. # TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings.
autoreconf -f -i -Wall,no-obsolete autoreconf -f -i -Wall,no-obsolete
rm -rf autom4te.cache config.h.in~ rm -rf autom4te.cache config.h.in~
exit 0 exit 0

View file

@ -1,33 +1,33 @@
#!/bin/sh #!/bin/sh
# Run this script to regenerate descriptor.pb.{h,cc} after the protocol # Run this script to regenerate descriptor.pb.{h,cc} after the protocol
# compiler changes. Since these files are compiled into the protocol compiler # compiler changes. Since these files are compiled into the protocol compiler
# itself, they cannot be generated automatically by a make rule. "make check" # itself, they cannot be generated automatically by a make rule. "make check"
# will fail if these files do not match what the protocol compiler would # will fail if these files do not match what the protocol compiler would
# generate. # generate.
# #
# HINT: Flags passed to generate_descriptor_proto.sh will be passed directly # HINT: Flags passed to generate_descriptor_proto.sh will be passed directly
# to make when building protoc. This is particularly useful for passing # to make when building protoc. This is particularly useful for passing
# -j4 to run 4 jobs simultaneously. # -j4 to run 4 jobs simultaneously.
if test ! -e src/google/protobuf/stubs/common.h; then if test ! -e src/google/protobuf/stubs/common.h; then
cat >&2 << __EOF__ cat >&2 << __EOF__
Could not find source code. Make sure you are running this script from the Could not find source code. Make sure you are running this script from the
root of the distribution tree. root of the distribution tree.
__EOF__ __EOF__
exit 1 exit 1
fi fi
if test ! -e src/Makefile; then if test ! -e src/Makefile; then
cat >&2 << __EOF__ cat >&2 << __EOF__
Could not find src/Makefile. You must run ./configure (and perhaps Could not find src/Makefile. You must run ./configure (and perhaps
./autogen.sh) first. ./autogen.sh) first.
__EOF__ __EOF__
exit 1 exit 1
fi fi
cd src cd src
make $@ protoc && make $@ protoc &&
./protoc --cpp_out=dllexport_decl=LIBPROTOBUF_EXPORT:. google/protobuf/descriptor.proto && \ ./protoc --cpp_out=dllexport_decl=LIBPROTOBUF_EXPORT:. google/protobuf/descriptor.proto && \
./protoc --cpp_out=dllexport_decl=LIBPROTOC_EXPORT:. google/protobuf/compiler/plugin.proto ./protoc --cpp_out=dllexport_decl=LIBPROTOC_EXPORT:. google/protobuf/compiler/plugin.proto
cd .. cd ..

File diff suppressed because it is too large Load diff

View file

@ -1,36 +1,36 @@
#!/bin/bash #!/bin/bash
# Executes the samples and tests for the Google Test Framework. # Executes the samples and tests for the Google Test Framework.
# Help the dynamic linker find the path to the libraries. # Help the dynamic linker find the path to the libraries.
export DYLD_FRAMEWORK_PATH=$BUILT_PRODUCTS_DIR export DYLD_FRAMEWORK_PATH=$BUILT_PRODUCTS_DIR
export DYLD_LIBRARY_PATH=$BUILT_PRODUCTS_DIR export DYLD_LIBRARY_PATH=$BUILT_PRODUCTS_DIR
# Create some executables. # Create some executables.
test_executables=("$BUILT_PRODUCTS_DIR/gtest_unittest-framework" test_executables=("$BUILT_PRODUCTS_DIR/gtest_unittest-framework"
"$BUILT_PRODUCTS_DIR/gtest_unittest" "$BUILT_PRODUCTS_DIR/gtest_unittest"
"$BUILT_PRODUCTS_DIR/sample1_unittest-framework" "$BUILT_PRODUCTS_DIR/sample1_unittest-framework"
"$BUILT_PRODUCTS_DIR/sample1_unittest-static") "$BUILT_PRODUCTS_DIR/sample1_unittest-static")
# Now execute each one in turn keeping track of how many succeeded and failed. # Now execute each one in turn keeping track of how many succeeded and failed.
succeeded=0 succeeded=0
failed=0 failed=0
failed_list=() failed_list=()
for test in ${test_executables[*]}; do for test in ${test_executables[*]}; do
"$test" "$test"
result=$? result=$?
if [ $result -eq 0 ]; then if [ $result -eq 0 ]; then
succeeded=$(( $succeeded + 1 )) succeeded=$(( $succeeded + 1 ))
else else
failed=$(( failed + 1 )) failed=$(( failed + 1 ))
failed_list="$failed_list $test" failed_list="$failed_list $test"
fi fi
done done
# Report the successes and failures to the console. # Report the successes and failures to the console.
echo "Tests complete with $succeeded successes and $failed failures." echo "Tests complete with $succeeded successes and $failed failures."
if [ $failed -ne 0 ]; then if [ $failed -ne 0 ]; then
echo "The following tests failed:" echo "The following tests failed:"
echo $failed_list echo $failed_list
fi fi
exit $failed exit $failed

File diff suppressed because it is too large Load diff

View file

@ -1,85 +1,85 @@
#!/bin/sh #!/bin/sh
# #
# Protocol Buffers - Google's data interchange format # Protocol Buffers - Google's data interchange format
# Copyright 2009 Google Inc. All rights reserved. # Copyright 2009 Google Inc. All rights reserved.
# http://code.google.com/p/protobuf/ # http://code.google.com/p/protobuf/
# #
# Redistribution and use in source and binary forms, with or without # Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are # modification, are permitted provided that the following conditions are
# met: # met:
# #
# * Redistributions of source code must retain the above copyright # * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer. # notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above # * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer # copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the # in the documentation and/or other materials provided with the
# distribution. # distribution.
# * Neither the name of Google Inc. nor the names of its # * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from # contributors may be used to endorse or promote products derived from
# this software without specific prior written permission. # this software without specific prior written permission.
# #
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS # THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT # "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR # LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT # A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, # OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT # SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# Author: kenton@google.com (Kenton Varda) # Author: kenton@google.com (Kenton Varda)
# #
# Test protoc's zip output mode. # Test protoc's zip output mode.
fail() { fail() {
echo "$@" >&2 echo "$@" >&2
exit 1 exit 1
} }
echo ' echo '
option java_multiple_files = true; option java_multiple_files = true;
option java_package = "test.jar"; option java_package = "test.jar";
option java_outer_classname = "Outer"; option java_outer_classname = "Outer";
message Foo {} message Foo {}
message Bar {} message Bar {}
' > testzip.proto ' > testzip.proto
./protoc --cpp_out=testzip.zip --python_out=testzip.zip --java_out=testzip.jar \ ./protoc --cpp_out=testzip.zip --python_out=testzip.zip --java_out=testzip.jar \
testzip.proto || fail 'protoc failed.' testzip.proto || fail 'protoc failed.'
echo "Testing output to zip..." echo "Testing output to zip..."
if unzip -h > /dev/null; then if unzip -h > /dev/null; then
unzip -t testzip.zip > testzip.list || fail 'unzip failed.' unzip -t testzip.zip > testzip.list || fail 'unzip failed.'
grep 'testing: testzip\.pb\.cc *OK$' testzip.list > /dev/null \ grep 'testing: testzip\.pb\.cc *OK$' testzip.list > /dev/null \
|| fail 'testzip.pb.cc not found in output zip.' || fail 'testzip.pb.cc not found in output zip.'
grep 'testing: testzip\.pb\.h *OK$' testzip.list > /dev/null \ grep 'testing: testzip\.pb\.h *OK$' testzip.list > /dev/null \
|| fail 'testzip.pb.h not found in output zip.' || fail 'testzip.pb.h not found in output zip.'
grep 'testing: testzip_pb2\.py *OK$' testzip.list > /dev/null \ grep 'testing: testzip_pb2\.py *OK$' testzip.list > /dev/null \
|| fail 'testzip_pb2.py not found in output zip.' || fail 'testzip_pb2.py not found in output zip.'
grep -i 'manifest' testzip.list > /dev/null \ grep -i 'manifest' testzip.list > /dev/null \
&& fail 'Zip file contained manifest.' && fail 'Zip file contained manifest.'
else else
echo "Warning: 'unzip' command not available. Skipping test." echo "Warning: 'unzip' command not available. Skipping test."
fi fi
echo "Testing output to jar..." echo "Testing output to jar..."
if jar c testzip.proto > /dev/null; then if jar c testzip.proto > /dev/null; then
jar tf testzip.jar > testzip.list || fail 'jar failed.' jar tf testzip.jar > testzip.list || fail 'jar failed.'
grep '^test/jar/Foo\.java$' testzip.list > /dev/null \ grep '^test/jar/Foo\.java$' testzip.list > /dev/null \
|| fail 'Foo.java not found in output jar.' || fail 'Foo.java not found in output jar.'
grep '^test/jar/Bar\.java$' testzip.list > /dev/null \ grep '^test/jar/Bar\.java$' testzip.list > /dev/null \
|| fail 'Bar.java not found in output jar.' || fail 'Bar.java not found in output jar.'
grep '^test/jar/Outer\.java$' testzip.list > /dev/null \ grep '^test/jar/Outer\.java$' testzip.list > /dev/null \
|| fail 'Outer.java not found in output jar.' || fail 'Outer.java not found in output jar.'
grep '^META-INF/MANIFEST\.MF$' testzip.list > /dev/null \ grep '^META-INF/MANIFEST\.MF$' testzip.list > /dev/null \
|| fail 'Manifest not ofund in output jar.' || fail 'Manifest not ofund in output jar.'
else else
echo "Warning: 'jar' command not available. Skipping test." echo "Warning: 'jar' command not available. Skipping test."
fi fi
echo PASS echo PASS

View file

@ -1,44 +1,44 @@
#!/bin/sh -x #!/bin/sh -x
# #
# Protocol Buffers - Google's data interchange format # Protocol Buffers - Google's data interchange format
# Copyright 2009 Google Inc. All rights reserved. # Copyright 2009 Google Inc. All rights reserved.
# http://code.google.com/p/protobuf/ # http://code.google.com/p/protobuf/
# #
# Redistribution and use in source and binary forms, with or without # Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are # modification, are permitted provided that the following conditions are
# met: # met:
# #
# * Redistributions of source code must retain the above copyright # * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer. # notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above # * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer # copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the # in the documentation and/or other materials provided with the
# distribution. # distribution.
# * Neither the name of Google Inc. nor the names of its # * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from # contributors may be used to endorse or promote products derived from
# this software without specific prior written permission. # this software without specific prior written permission.
# #
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS # THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT # "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR # LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT # A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, # OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT # SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# #
# Author: brianolson@google.com (Brian Olson) # Author: brianolson@google.com (Brian Olson)
# #
# Test compatibility between command line gzip/gunzip binaries and # Test compatibility between command line gzip/gunzip binaries and
# ZeroCopyStream versions. # ZeroCopyStream versions.
TESTFILE=Makefile TESTFILE=Makefile
(./zcgzip < ${TESTFILE} | gunzip | cmp - ${TESTFILE}) && \ (./zcgzip < ${TESTFILE} | gunzip | cmp - ${TESTFILE}) && \
(gzip < ${TESTFILE} | ./zcgunzip | cmp - ${TESTFILE}) (gzip < ${TESTFILE} | ./zcgunzip | cmp - ${TESTFILE})
# Result of "(cmd) && (cmd)" implicitly becomes result of this script # Result of "(cmd) && (cmd)" implicitly becomes result of this script
# and thus the test. # and thus the test.

View file

@ -1,20 +1,20 @@
#! /bin/sh -e #! /bin/sh -e
# This script downgrades MSVC 2008 projects to MSVC 2005 projects, allowing # This script downgrades MSVC 2008 projects to MSVC 2005 projects, allowing
# people with MSVC 2005 to open them. Otherwise, MSVC 2005 simply refuses to # people with MSVC 2005 to open them. Otherwise, MSVC 2005 simply refuses to
# open projects created with 2008. We run this as part of our release process. # open projects created with 2008. We run this as part of our release process.
# If you obtained the code direct from version control and you want to use # If you obtained the code direct from version control and you want to use
# MSVC 2005, you may have to run this manually. (Hint: Use Cygwin or MSYS.) # MSVC 2005, you may have to run this manually. (Hint: Use Cygwin or MSYS.)
for file in *.sln; do for file in *.sln; do
echo "downgrading $file..." echo "downgrading $file..."
sed -i -re 's/Format Version 10.00/Format Version 9.00/g; sed -i -re 's/Format Version 10.00/Format Version 9.00/g;
s/Visual Studio 2008/Visual Studio 2005/g;' $file s/Visual Studio 2008/Visual Studio 2005/g;' $file
done done
for file in *.vcproj; do for file in *.vcproj; do
echo "downgrading $file..." echo "downgrading $file..."
sed -i -re 's/Version="9.00"/Version="8.00"/g;' $file sed -i -re 's/Version="9.00"/Version="8.00"/g;' $file
done done
# Yes, really, that's it. # Yes, really, that's it.

View file

@ -1,4 +1,4 @@
#!/bin/bash #!/bin/bash
devtools/bin/vpc /hl2 /episodic +everything /mksln everything devtools/bin/vpc /hl2 /episodic +everything /mksln everything

View file

@ -1,4 +1,4 @@
#!/bin/bash #!/bin/bash
devtools/bin/vpc /hl2 /episodic +game /mksln games devtools/bin/vpc /hl2 /episodic +game /mksln games

View file

@ -1,28 +1,28 @@
#!/bin/bash #!/bin/bash
OS=`uname` OS=`uname`
SCRIPTPATH=`dirname $0` SCRIPTPATH=`dirname $0`
FORCEARG="" FORCEARG=""
case $OS in case $OS in
"Darwin") "Darwin")
BINNAME=vpc_osx BINNAME=vpc_osx
;; ;;
"Linux") "Linux")
BINNAME=vpc_linux BINNAME=vpc_linux
;; ;;
*) *)
echo "Couldn't find appropriate VPC binary, fix the script." echo "Couldn't find appropriate VPC binary, fix the script."
exit -1 exit -1
;; ;;
esac esac
if [ $OS == "Darwin" ]; then if [ $OS == "Darwin" ]; then
$SCRIPTPATH/$BINNAME $@ $SCRIPTPATH/$BINNAME $@
elif [ $OS == "Linux" ]; then elif [ $OS == "Linux" ]; then
$SCRIPTPATH/$BINNAME $@ $SCRIPTPATH/$BINNAME $@
else else
echo "Couldn't find appropriate VPC binary, fix the script." echo "Couldn't find appropriate VPC binary, fix the script."
exit -1 exit -1
fi fi

View file

@ -1,41 +1,41 @@
#!/bin/sh #!/bin/sh
# Run this script to generate the configure script and other files that will # Run this script to generate the configure script and other files that will
# be included in the distribution. These files are not checked in because they # be included in the distribution. These files are not checked in because they
# are automatically generated. # are automatically generated.
set -e set -e
# Check that we're being run from the right directory. # Check that we're being run from the right directory.
if test ! -f src/google/protobuf/stubs/common.h; then if test ! -f src/google/protobuf/stubs/common.h; then
cat >&2 << __EOF__ cat >&2 << __EOF__
Could not find source code. Make sure you are running this script from the Could not find source code. Make sure you are running this script from the
root of the distribution tree. root of the distribution tree.
__EOF__ __EOF__
exit 1 exit 1
fi fi
# Check that gtest is present. Usually it is already there since the # Check that gtest is present. Usually it is already there since the
# directory is set up as an SVN external. # directory is set up as an SVN external.
if test ! -e gtest; then if test ! -e gtest; then
echo "Google Test not present. Fetching gtest-1.3.0 from the web..." echo "Google Test not present. Fetching gtest-1.3.0 from the web..."
curl http://googletest.googlecode.com/files/gtest-1.3.0.tar.bz2 | tar jx curl http://googletest.googlecode.com/files/gtest-1.3.0.tar.bz2 | tar jx
mv gtest-1.3.0 gtest mv gtest-1.3.0 gtest
fi fi
set -ex set -ex
# Temporary hack: Must change C runtime library to "multi-threaded DLL", # Temporary hack: Must change C runtime library to "multi-threaded DLL",
# otherwise it will be set to "multi-threaded static" when MSVC upgrades # otherwise it will be set to "multi-threaded static" when MSVC upgrades
# the project file to MSVC 2005/2008. vladl of Google Test says gtest will # the project file to MSVC 2005/2008. vladl of Google Test says gtest will
# probably change their default to match, then this will be unnecessary. # probably change their default to match, then this will be unnecessary.
# One of these mappings converts the debug configuration and the other # One of these mappings converts the debug configuration and the other
# converts the release configuration. I don't know which is which. # converts the release configuration. I don't know which is which.
sed -i -e 's/RuntimeLibrary="5"/RuntimeLibrary="3"/g; sed -i -e 's/RuntimeLibrary="5"/RuntimeLibrary="3"/g;
s/RuntimeLibrary="4"/RuntimeLibrary="2"/g;' gtest/msvc/*.vcproj s/RuntimeLibrary="4"/RuntimeLibrary="2"/g;' gtest/msvc/*.vcproj
# TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings. # TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings.
autoreconf -f -i -Wall,no-obsolete autoreconf -f -i -Wall,no-obsolete
rm -rf autom4te.cache config.h.in~ rm -rf autom4te.cache config.h.in~
exit 0 exit 0

View file

@ -1,33 +1,33 @@
#!/bin/sh #!/bin/sh
# Run this script to regenerate descriptor.pb.{h,cc} after the protocol # Run this script to regenerate descriptor.pb.{h,cc} after the protocol
# compiler changes. Since these files are compiled into the protocol compiler # compiler changes. Since these files are compiled into the protocol compiler
# itself, they cannot be generated automatically by a make rule. "make check" # itself, they cannot be generated automatically by a make rule. "make check"
# will fail if these files do not match what the protocol compiler would # will fail if these files do not match what the protocol compiler would
# generate. # generate.
# #
# HINT: Flags passed to generate_descriptor_proto.sh will be passed directly # HINT: Flags passed to generate_descriptor_proto.sh will be passed directly
# to make when building protoc. This is particularly useful for passing # to make when building protoc. This is particularly useful for passing
# -j4 to run 4 jobs simultaneously. # -j4 to run 4 jobs simultaneously.
if test ! -e src/google/protobuf/stubs/common.h; then if test ! -e src/google/protobuf/stubs/common.h; then
cat >&2 << __EOF__ cat >&2 << __EOF__
Could not find source code. Make sure you are running this script from the Could not find source code. Make sure you are running this script from the
root of the distribution tree. root of the distribution tree.
__EOF__ __EOF__
exit 1 exit 1
fi fi
if test ! -e src/Makefile; then if test ! -e src/Makefile; then
cat >&2 << __EOF__ cat >&2 << __EOF__
Could not find src/Makefile. You must run ./configure (and perhaps Could not find src/Makefile. You must run ./configure (and perhaps
./autogen.sh) first. ./autogen.sh) first.
__EOF__ __EOF__
exit 1 exit 1
fi fi
cd src cd src
make $@ protoc && make $@ protoc &&
./protoc --cpp_out=dllexport_decl=LIBPROTOBUF_EXPORT:. google/protobuf/descriptor.proto && \ ./protoc --cpp_out=dllexport_decl=LIBPROTOBUF_EXPORT:. google/protobuf/descriptor.proto && \
./protoc --cpp_out=dllexport_decl=LIBPROTOC_EXPORT:. google/protobuf/compiler/plugin.proto ./protoc --cpp_out=dllexport_decl=LIBPROTOC_EXPORT:. google/protobuf/compiler/plugin.proto
cd .. cd ..

File diff suppressed because it is too large Load diff

View file

@ -1,36 +1,36 @@
#!/bin/bash #!/bin/bash
# Executes the samples and tests for the Google Test Framework. # Executes the samples and tests for the Google Test Framework.
# Help the dynamic linker find the path to the libraries. # Help the dynamic linker find the path to the libraries.
export DYLD_FRAMEWORK_PATH=$BUILT_PRODUCTS_DIR export DYLD_FRAMEWORK_PATH=$BUILT_PRODUCTS_DIR
export DYLD_LIBRARY_PATH=$BUILT_PRODUCTS_DIR export DYLD_LIBRARY_PATH=$BUILT_PRODUCTS_DIR
# Create some executables. # Create some executables.
test_executables=("$BUILT_PRODUCTS_DIR/gtest_unittest-framework" test_executables=("$BUILT_PRODUCTS_DIR/gtest_unittest-framework"
"$BUILT_PRODUCTS_DIR/gtest_unittest" "$BUILT_PRODUCTS_DIR/gtest_unittest"
"$BUILT_PRODUCTS_DIR/sample1_unittest-framework" "$BUILT_PRODUCTS_DIR/sample1_unittest-framework"
"$BUILT_PRODUCTS_DIR/sample1_unittest-static") "$BUILT_PRODUCTS_DIR/sample1_unittest-static")
# Now execute each one in turn keeping track of how many succeeded and failed. # Now execute each one in turn keeping track of how many succeeded and failed.
succeeded=0 succeeded=0
failed=0 failed=0
failed_list=() failed_list=()
for test in ${test_executables[*]}; do for test in ${test_executables[*]}; do
"$test" "$test"
result=$? result=$?
if [ $result -eq 0 ]; then if [ $result -eq 0 ]; then
succeeded=$(( $succeeded + 1 )) succeeded=$(( $succeeded + 1 ))
else else
failed=$(( failed + 1 )) failed=$(( failed + 1 ))
failed_list="$failed_list $test" failed_list="$failed_list $test"
fi fi
done done
# Report the successes and failures to the console. # Report the successes and failures to the console.
echo "Tests complete with $succeeded successes and $failed failures." echo "Tests complete with $succeeded successes and $failed failures."
if [ $failed -ne 0 ]; then if [ $failed -ne 0 ]; then
echo "The following tests failed:" echo "The following tests failed:"
echo $failed_list echo $failed_list
fi fi
exit $failed exit $failed

File diff suppressed because it is too large Load diff

View file

@ -1,85 +1,85 @@
#!/bin/sh #!/bin/sh
# #
# Protocol Buffers - Google's data interchange format # Protocol Buffers - Google's data interchange format
# Copyright 2009 Google Inc. All rights reserved. # Copyright 2009 Google Inc. All rights reserved.
# http://code.google.com/p/protobuf/ # http://code.google.com/p/protobuf/
# #
# Redistribution and use in source and binary forms, with or without # Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are # modification, are permitted provided that the following conditions are
# met: # met:
# #
# * Redistributions of source code must retain the above copyright # * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer. # notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above # * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer # copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the # in the documentation and/or other materials provided with the
# distribution. # distribution.
# * Neither the name of Google Inc. nor the names of its # * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from # contributors may be used to endorse or promote products derived from
# this software without specific prior written permission. # this software without specific prior written permission.
# #
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS # THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT # "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR # LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT # A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, # OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT # SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# Author: kenton@google.com (Kenton Varda) # Author: kenton@google.com (Kenton Varda)
# #
# Test protoc's zip output mode. # Test protoc's zip output mode.
fail() { fail() {
echo "$@" >&2 echo "$@" >&2
exit 1 exit 1
} }
echo ' echo '
option java_multiple_files = true; option java_multiple_files = true;
option java_package = "test.jar"; option java_package = "test.jar";
option java_outer_classname = "Outer"; option java_outer_classname = "Outer";
message Foo {} message Foo {}
message Bar {} message Bar {}
' > testzip.proto ' > testzip.proto
./protoc --cpp_out=testzip.zip --python_out=testzip.zip --java_out=testzip.jar \ ./protoc --cpp_out=testzip.zip --python_out=testzip.zip --java_out=testzip.jar \
testzip.proto || fail 'protoc failed.' testzip.proto || fail 'protoc failed.'
echo "Testing output to zip..." echo "Testing output to zip..."
if unzip -h > /dev/null; then if unzip -h > /dev/null; then
unzip -t testzip.zip > testzip.list || fail 'unzip failed.' unzip -t testzip.zip > testzip.list || fail 'unzip failed.'
grep 'testing: testzip\.pb\.cc *OK$' testzip.list > /dev/null \ grep 'testing: testzip\.pb\.cc *OK$' testzip.list > /dev/null \
|| fail 'testzip.pb.cc not found in output zip.' || fail 'testzip.pb.cc not found in output zip.'
grep 'testing: testzip\.pb\.h *OK$' testzip.list > /dev/null \ grep 'testing: testzip\.pb\.h *OK$' testzip.list > /dev/null \
|| fail 'testzip.pb.h not found in output zip.' || fail 'testzip.pb.h not found in output zip.'
grep 'testing: testzip_pb2\.py *OK$' testzip.list > /dev/null \ grep 'testing: testzip_pb2\.py *OK$' testzip.list > /dev/null \
|| fail 'testzip_pb2.py not found in output zip.' || fail 'testzip_pb2.py not found in output zip.'
grep -i 'manifest' testzip.list > /dev/null \ grep -i 'manifest' testzip.list > /dev/null \
&& fail 'Zip file contained manifest.' && fail 'Zip file contained manifest.'
else else
echo "Warning: 'unzip' command not available. Skipping test." echo "Warning: 'unzip' command not available. Skipping test."
fi fi
echo "Testing output to jar..." echo "Testing output to jar..."
if jar c testzip.proto > /dev/null; then if jar c testzip.proto > /dev/null; then
jar tf testzip.jar > testzip.list || fail 'jar failed.' jar tf testzip.jar > testzip.list || fail 'jar failed.'
grep '^test/jar/Foo\.java$' testzip.list > /dev/null \ grep '^test/jar/Foo\.java$' testzip.list > /dev/null \
|| fail 'Foo.java not found in output jar.' || fail 'Foo.java not found in output jar.'
grep '^test/jar/Bar\.java$' testzip.list > /dev/null \ grep '^test/jar/Bar\.java$' testzip.list > /dev/null \
|| fail 'Bar.java not found in output jar.' || fail 'Bar.java not found in output jar.'
grep '^test/jar/Outer\.java$' testzip.list > /dev/null \ grep '^test/jar/Outer\.java$' testzip.list > /dev/null \
|| fail 'Outer.java not found in output jar.' || fail 'Outer.java not found in output jar.'
grep '^META-INF/MANIFEST\.MF$' testzip.list > /dev/null \ grep '^META-INF/MANIFEST\.MF$' testzip.list > /dev/null \
|| fail 'Manifest not ofund in output jar.' || fail 'Manifest not ofund in output jar.'
else else
echo "Warning: 'jar' command not available. Skipping test." echo "Warning: 'jar' command not available. Skipping test."
fi fi
echo PASS echo PASS

View file

@ -1,44 +1,44 @@
#!/bin/sh -x #!/bin/sh -x
# #
# Protocol Buffers - Google's data interchange format # Protocol Buffers - Google's data interchange format
# Copyright 2009 Google Inc. All rights reserved. # Copyright 2009 Google Inc. All rights reserved.
# http://code.google.com/p/protobuf/ # http://code.google.com/p/protobuf/
# #
# Redistribution and use in source and binary forms, with or without # Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are # modification, are permitted provided that the following conditions are
# met: # met:
# #
# * Redistributions of source code must retain the above copyright # * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer. # notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above # * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer # copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the # in the documentation and/or other materials provided with the
# distribution. # distribution.
# * Neither the name of Google Inc. nor the names of its # * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from # contributors may be used to endorse or promote products derived from
# this software without specific prior written permission. # this software without specific prior written permission.
# #
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS # THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT # "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR # LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT # A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, # OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT # SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# #
# Author: brianolson@google.com (Brian Olson) # Author: brianolson@google.com (Brian Olson)
# #
# Test compatibility between command line gzip/gunzip binaries and # Test compatibility between command line gzip/gunzip binaries and
# ZeroCopyStream versions. # ZeroCopyStream versions.
TESTFILE=Makefile TESTFILE=Makefile
(./zcgzip < ${TESTFILE} | gunzip | cmp - ${TESTFILE}) && \ (./zcgzip < ${TESTFILE} | gunzip | cmp - ${TESTFILE}) && \
(gzip < ${TESTFILE} | ./zcgunzip | cmp - ${TESTFILE}) (gzip < ${TESTFILE} | ./zcgunzip | cmp - ${TESTFILE})
# Result of "(cmd) && (cmd)" implicitly becomes result of this script # Result of "(cmd) && (cmd)" implicitly becomes result of this script
# and thus the test. # and thus the test.

View file

@ -1,20 +1,20 @@
#! /bin/sh -e #! /bin/sh -e
# This script downgrades MSVC 2008 projects to MSVC 2005 projects, allowing # This script downgrades MSVC 2008 projects to MSVC 2005 projects, allowing
# people with MSVC 2005 to open them. Otherwise, MSVC 2005 simply refuses to # people with MSVC 2005 to open them. Otherwise, MSVC 2005 simply refuses to
# open projects created with 2008. We run this as part of our release process. # open projects created with 2008. We run this as part of our release process.
# If you obtained the code direct from version control and you want to use # If you obtained the code direct from version control and you want to use
# MSVC 2005, you may have to run this manually. (Hint: Use Cygwin or MSYS.) # MSVC 2005, you may have to run this manually. (Hint: Use Cygwin or MSYS.)
for file in *.sln; do for file in *.sln; do
echo "downgrading $file..." echo "downgrading $file..."
sed -i -re 's/Format Version 10.00/Format Version 9.00/g; sed -i -re 's/Format Version 10.00/Format Version 9.00/g;
s/Visual Studio 2008/Visual Studio 2005/g;' $file s/Visual Studio 2008/Visual Studio 2005/g;' $file
done done
for file in *.vcproj; do for file in *.vcproj; do
echo "downgrading $file..." echo "downgrading $file..."
sed -i -re 's/Version="9.00"/Version="8.00"/g;' $file sed -i -re 's/Version="9.00"/Version="8.00"/g;' $file
done done
# Yes, really, that's it. # Yes, really, that's it.